<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:25 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TypesFactory (org.eclipse.papyrus.designer.ucm.types.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TypesFactory (org.eclipse.papyrus.designer.ucm.types.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TypesFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/StructureField.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" target="_top">Frames</a></li>
<li><a href="TypesFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types</div>
<h2 title="Interface TypesFactory" class="title">Interface TypesFactory</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html" title="class in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">TypesFactoryImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">TypesFactory</span>
extends org.eclipse.emf.ecore.EFactory</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Factory</b> for the model.
 It provides a create method for each non-abstract class of the model.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types"><code>TypesPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Alias.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Alias</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createAlias--">createAlias</a></span>()</code>
<div class="block">Returns a new object of class '<em>Alias</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Array.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Array</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createArray--">createArray</a></span>()</code>
<div class="block">Returns a new object of class '<em>Array</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/ArrayDimension.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">ArrayDimension</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createArrayDimension--">createArrayDimension</a></span>()</code>
<div class="block">Returns a new object of class '<em>Array Dimension</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/NativeType.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">NativeType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createNativeType--">createNativeType</a></span>()</code>
<div class="block">Returns a new object of class '<em>Native Type</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveBoolean.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveBoolean</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createPrimitiveBoolean--">createPrimitiveBoolean</a></span>()</code>
<div class="block">Returns a new object of class '<em>Primitive Boolean</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveChar.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveChar</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createPrimitiveChar--">createPrimitiveChar</a></span>()</code>
<div class="block">Returns a new object of class '<em>Primitive Char</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloat.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloat</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createPrimitiveFloat--">createPrimitiveFloat</a></span>()</code>
<div class="block">Returns a new object of class '<em>Primitive Float</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveInteger.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveInteger</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createPrimitiveInteger--">createPrimitiveInteger</a></span>()</code>
<div class="block">Returns a new object of class '<em>Primitive Integer</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveOctet.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveOctet</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createPrimitiveOctet--">createPrimitiveOctet</a></span>()</code>
<div class="block">Returns a new object of class '<em>Primitive Octet</em>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Sequence.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Sequence</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createSequence--">createSequence</a></span>()</code>
<div class="block">Returns a new object of class '<em>Sequence</em>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/StringType.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">StringType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createStringType--">createStringType</a></span>()</code>
<div class="block">Returns a new object of class '<em>String Type</em>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Structure.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Structure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createStructure--">createStructure</a></span>()</code>
<div class="block">Returns a new object of class '<em>Structure</em>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/StructureField.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">StructureField</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createStructureField--">createStructureField</a></span>()</code>
<div class="block">Returns a new object of class '<em>Structure Field</em>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Union.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Union</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createUnion--">createUnion</a></span>()</code>
<div class="block">Returns a new object of class '<em>Union</em>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/UnionCase.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">UnionCase</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#createUnionCase--">createUnionCase</a></span>()</code>
<div class="block">Returns a new object of class '<em>Union Case</em>'.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html#getTypesPackage--">getTypesPackage</a></span>()</code>
<div class="block">Returns the package supported by this factory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EFactory">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EFactory</h3>
<code>convertToString, create, createFromString, getEPackage, setEPackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesFactory</a> eINSTANCE</pre>
<div class="block">The singleton instance of the factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createStructureField--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStructureField</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/StructureField.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">StructureField</a>&nbsp;createStructureField()</pre>
<div class="block">Returns a new object of class '<em>Structure Field</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Structure Field</em>'.</dd>
</dl>
</li>
</ul>
<a name="createUnionCase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createUnionCase</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/UnionCase.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">UnionCase</a>&nbsp;createUnionCase()</pre>
<div class="block">Returns a new object of class '<em>Union Case</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Union Case</em>'.</dd>
</dl>
</li>
</ul>
<a name="createArrayDimension--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createArrayDimension</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/ArrayDimension.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">ArrayDimension</a>&nbsp;createArrayDimension()</pre>
<div class="block">Returns a new object of class '<em>Array Dimension</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Array Dimension</em>'.</dd>
</dl>
</li>
</ul>
<a name="createAlias--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAlias</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Alias.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Alias</a>&nbsp;createAlias()</pre>
<div class="block">Returns a new object of class '<em>Alias</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Alias</em>'.</dd>
</dl>
</li>
</ul>
<a name="createStructure--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStructure</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Structure.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Structure</a>&nbsp;createStructure()</pre>
<div class="block">Returns a new object of class '<em>Structure</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Structure</em>'.</dd>
</dl>
</li>
</ul>
<a name="createUnion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createUnion</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Union.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Union</a>&nbsp;createUnion()</pre>
<div class="block">Returns a new object of class '<em>Union</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Union</em>'.</dd>
</dl>
</li>
</ul>
<a name="createArray--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createArray</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Array.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Array</a>&nbsp;createArray()</pre>
<div class="block">Returns a new object of class '<em>Array</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Array</em>'.</dd>
</dl>
</li>
</ul>
<a name="createStringType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStringType</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/StringType.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">StringType</a>&nbsp;createStringType()</pre>
<div class="block">Returns a new object of class '<em>String Type</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>String Type</em>'.</dd>
</dl>
</li>
</ul>
<a name="createNativeType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNativeType</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/NativeType.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">NativeType</a>&nbsp;createNativeType()</pre>
<div class="block">Returns a new object of class '<em>Native Type</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Native Type</em>'.</dd>
</dl>
</li>
</ul>
<a name="createSequence--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSequence</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/Sequence.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Sequence</a>&nbsp;createSequence()</pre>
<div class="block">Returns a new object of class '<em>Sequence</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Sequence</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPrimitiveInteger--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveInteger</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveInteger.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveInteger</a>&nbsp;createPrimitiveInteger()</pre>
<div class="block">Returns a new object of class '<em>Primitive Integer</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Primitive Integer</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPrimitiveFloat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveFloat</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloat.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloat</a>&nbsp;createPrimitiveFloat()</pre>
<div class="block">Returns a new object of class '<em>Primitive Float</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Primitive Float</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPrimitiveChar--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveChar</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveChar.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveChar</a>&nbsp;createPrimitiveChar()</pre>
<div class="block">Returns a new object of class '<em>Primitive Char</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Primitive Char</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPrimitiveBoolean--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveBoolean</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveBoolean.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveBoolean</a>&nbsp;createPrimitiveBoolean()</pre>
<div class="block">Returns a new object of class '<em>Primitive Boolean</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Primitive Boolean</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPrimitiveOctet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimitiveOctet</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveOctet.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveOctet</a>&nbsp;createPrimitiveOctet()</pre>
<div class="block">Returns a new object of class '<em>Primitive Octet</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Primitive Octet</em>'.</dd>
</dl>
</li>
</ul>
<a name="getTypesPackage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTypesPackage</h4>
<pre><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">TypesPackage</a>&nbsp;getTypesPackage()</pre>
<div class="block">Returns the package supported by this factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the package supported by this factory.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TypesFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/StructureField.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/TypesFactory.html" target="_top">Frames</a></li>
<li><a href="TypesFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
